Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Wed, 22 May 2013 19:50:09 +0200

>> But the call stacks I've got with Process Explorer are different (and
>> strange), because I see no frames inside Emacs, in any of the threads:
>
> Sorry, I cannot do anything with this information.  I don't have
> sources of ntoskrnl and of ntdll.
>
> If Emacs no gets stuck in threads that we didn't launch from our Emacs
> application code, then perhaps this is not an Emacs problem at all.

Perhaps, yes.

However, I've observed these hung sessions in two environments quite
different: one is a remote machine running Windows 2003 server (which
I connect to via remote desktop), and the other is my local machine,
which is running Windows 7.

That makes me think that is more probable that the bug is in Emacs
than somewhere else.

>> FWIW, this is the output of `netstat -nbo':
>
> Thanks.  The only ones that might be relevant are those that connect
> to localhost:
>
>>     TCP    127.0.0.1:1041         127.0.0.1:42510        ESTABLISHED     1316
>>     [InoTask.exe]
>>
>>     TCP    127.0.0.1:42510        127.0.0.1:1041         ESTABLISHED     1264
>>     [InoRpc.exe]
>
> But I know nothing about these processes.

Me neither, sorry.

If I get a hung session with "normal" call stacks (having Emacs
frames), I'll try what you told me:  Kill the thread that waits inside
_sys_wait_accept and see if Emacs closes after that.

Thanks.

--
Dani Moncayo